module Flubber
  module App
    S3_BUCKET_NAME = "expo-flubber"
    APP_INFO_LOCATION = ".flubber"

    def self.set(flubber_app)
      file = File.open(APP_INFO_LOCATION, "w+")
      file.puts "#{flubber_app["id"]}"
      file.puts "#{flubber_app["name"].downcase.gsub(" ", "-").gsub(/\s+/, "")}"
      file.puts "#{flubber_app["uuid"]}"
      file.close
    end

    def self.set?
      File.exists?(APP_INFO_LOCATION)
    end

    def self.id
      file = File.open(APP_INFO_LOCATION)
      lines = file.readlines.map(&:chomp)
      file.close
      lines[0]
    end

    def self.name
      file = File.open(APP_INFO_LOCATION)
      lines = file.readlines.map(&:chomp)
      file.close
      lines[1]
    end

    def self.uuid
      file = File.open(APP_INFO_LOCATION)
      lines = file.readlines.map(&:chomp)
      file.close
      lines[2]
    end

    def self.bundles_public_url
      @bundles_public_url ||= \
        "https://#{S3_BUCKET_NAME}.s3.amazonaws.com/#{uuid}/#{name}"
    end
  end
end
